Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

nginx 1.11.1 (security release) and CloudFlare SPDY + HTTP2 patch #394

Closed
gslin opened this issue Jun 27, 2016 · 6 comments

Comments

Projects
None yet
4 participants
@gslin
Copy link

commented Jun 27, 2016

Would you like to upgrade nginx to 1.11.1 (security release) and merge cloudflare/sslconfig#36 this patch?

SPDY is still important for Android devices due to Android 3.0 to 4.4 (which support SPDY but not HTTP/2), and Google Chrome does not support SPDY anymore.

@oerdnj

This comment has been minimized.

Copy link
Owner

commented Jun 27, 2016

nginx 1.11.1 is not going to happen, the PPA already has 1.10.1 (production release), but I have just merged the SPDY patch and uploaded 1.10.1 with SPDY re-enabled.

@oerdnj oerdnj closed this Jun 27, 2016

@gslin gslin changed the title nginx 1.11.1 (security release) and CoudFlare SPDY + HTTP2 patch nginx 1.11.1 (security release) and CloudFlare SPDY + HTTP2 patch Jun 27, 2016

@gslin

This comment has been minimized.

Copy link
Author

commented Jun 27, 2016

Thanks, it works pretty well.

@chillophil

This comment has been minimized.

Copy link

commented Jul 11, 2016

Don't seem working for me =/

I added your nginx repo and installed the latest version

1.10.1-1+020160602102431.1+jessie1.gbp52025f

on my Debian 8.4 jessie server

It's okay to define listen 443 ssl spdy http2; but spdy is not served - even not with listen 443 ssl spdy; only.

So what am I doing wrong?

--edit

Just figured it out -> Seems like the compiler-config is wrong for the Debian repo - tried it with the ubuntu-ppa and now it works =) ... maybe, just fix that sometime

@oerdnj

This comment has been minimized.

Copy link
Owner

commented Jul 11, 2016

@chillophil Maybe because I updated only the Ubuntu PPAs?

@chillophil

This comment has been minimized.

Copy link

commented Jul 12, 2016

@oerdnj sure, figured it out myself - already edited my comment =)

@yycaptain

This comment has been minimized.

Copy link

commented Sep 23, 2016

@gslin Do you have the patch for nginx1.10.1 or nginx1.11.1 ? Thanks for your sharing !

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.